CCCC(1)

NAME
cccc - C and C++ Code Counter, a software metrics tool

SYNOPSIS
cccc [options] file1.c ...

DESCRIPTION
CCCC analyses and reports measurements of source code in C, C++, and Java. The metrics supported include lines of code, McCabe's Cyclomatic Complexity, and measures of module fan-out/fan-in.

CCCC processes the files listed on its command line. If the filenames include ‘-’, read a list of files from standard input.

This program is work in progress and is not well documented. Please be prepared to refer to the source code for the meaning of some options.

OPTIONS

--help
    Generate this help message.

--outdir=dname
    Directory for generated files (default=.cccc).

--html_outfile=fname
    Name of primary HTML report generated (default=outdir/cccc.html).

--xml_outfile=fname
    Name of primary XML report generated (default=outdir/cccc.xml).

--db_infile=fname
    Preload internal database from named file (default=no initial content).

--db_outfile=fname
    Save internal database to named file (default=outdir/cccc.db).

--opt_infile=fname
    Load options from named file (default=use compiled-in option values, refer to cccc_opt.cc for option information).

--opt_outfile=fname
    Save options to named file (default=outdir/cccc.opt).

--lang=string
    Use language specified for files specified after this option. Languages supported are c, c++, ada, and java (default=use language/extension mapping controlled by options).

--report_mask=hex
    Control report content (refer to ccccmain.cc for mask values).

--debug_mask=hex
    Control debug output content (refer to ccccmain.cc for mask values).

AUTHOR
CCCC was written by Tim Littlefair <tim_littlefair@hotmail.com>.

This manual page was written by Colin Watson <cjwatson@debian.org> for the Debian system (but may be used by others).